com.fasterxml.jackson.core.util

## Class JsonRecyclerPools.BoundedPool

- java.lang.Object
- - com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase<P>
  - - com.fasterxml.jackson.core.util.RecyclerPool.BoundedPoolBase<BufferRecycler>
    - - com.fasterxml.jackson.core.util.JsonRecyclerPools.BoundedPool

All Implemented Interfaces:
  RecyclerPool<BufferRecycler>, Serializable

Enclosing class:
  JsonRecyclerPools

    public static class JsonRecyclerPools.BoundedPool
    extends RecyclerPool.BoundedPoolBase<BufferRecycler>

`RecyclerPool` implementation that uses a bounded queue (`ArrayBlockingQueue` for recycling instances. This is "bounded" pool since it will never hold on to more `BufferRecycler` instances than its size configuration: the default size is `RecyclerPool.BoundedPoolBase.DEFAULT_CAPACITY`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`RecyclerPool.BoundedPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ConcurrentDequePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.LockFreePoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.NonRecyclingPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.StatefulImplBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.ThreadLocalPoolBase<P extends RecyclerPool.WithPool<P>>, RecyclerPool.WithPool<P extends RecyclerPool.WithPool<P>>`

### Field Summary

Fields
`protected static JsonRecyclerPools.BoundedPool` `GLOBAL`

### Fields inherited from class com.fasterxml.jackson.core.util.RecyclerPool.BoundedPoolBase

`DEFAULT_CAPACITY`

### Fields inherited from class com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

`_serialization, SERIALIZATION_NON_SHARED, SERIALIZATION_SHARED`

### Constructor Summary

Constructors
`protected` `BoundedPool(int capacityAsId)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static JsonRecyclerPools.BoundedPool` `construct(int capacity)`
`BufferRecycler` `createPooled()`
`protected Object` `readResolve()`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.BoundedPoolBase

`acquirePooled, capacity, clear, releasePooled`

### Methods inherited from class com.fasterxml.jackson.core.util.RecyclerPool.StatefulImplBase

`_resolveToShared`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.fasterxml.jackson.core.util.RecyclerPool

`acquireAndLinkPooled`

### Field Detail

#### GLOBAL

    protected static final JsonRecyclerPools.BoundedPool GLOBAL

### Constructor Detail

#### BoundedPool

    protected BoundedPool(int capacityAsId)

### Method Detail

#### construct

    public static JsonRecyclerPools.BoundedPool construct(int capacity)

#### createPooled

    public BufferRecycler createPooled()

Specified by:
  `createPooled` in class `RecyclerPool.StatefulImplBase<BufferRecycler>`

#### readResolve

    protected Object readResolve()